summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJanne Rönkkö (jroo) <jroo@iki.fi>2008-07-16 14:55:29 +0000
committerJanne Rönkkö (jroo) <jroo@iki.fi>2008-07-16 14:55:29 +0000
commit53e4a0b625f4e1f26837c14d83b747e505fc35de (patch)
tree956fc87dcea5426a1dd278cfd4237cdfd6b565a6
parentNew USE flags 'largefile' and 'runtime-checks' for net-dns/nsd (diff)
downloadsunrise-53e4a0b625f4e1f26837c14d83b747e505fc35de.tar.gz
sunrise-53e4a0b625f4e1f26837c14d83b747e505fc35de.tar.bz2
sunrise-53e4a0b625f4e1f26837c14d83b747e505fc35de.zip
app-editors/yzis: New Ebuild for bug 48552
svn path=/sunrise/; revision=6506
-rw-r--r--app-editors/yzis/ChangeLog8
-rw-r--r--app-editors/yzis/Manifest4
-rw-r--r--app-editors/yzis/metadata.xml10
-rw-r--r--app-editors/yzis/yzis-1.0_alpha1.ebuild37
4 files changed, 59 insertions, 0 deletions
diff --git a/app-editors/yzis/ChangeLog b/app-editors/yzis/ChangeLog
new file mode 100644
index 000000000..353e0fb01
--- /dev/null
+++ b/app-editors/yzis/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for app-editors/yzis
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 16 Jul 2008; Janne Rönkkö (jroo) <jroo@iki.fi> +yzis-1.0_alpha1.ebuild,
+ +metadata.xml:
+ New Ebuild for bug 48552
+
diff --git a/app-editors/yzis/Manifest b/app-editors/yzis/Manifest
new file mode 100644
index 000000000..e30dfe9b3
--- /dev/null
+++ b/app-editors/yzis/Manifest
@@ -0,0 +1,4 @@
+DIST yzis-1.0-alpha1.tar.bz2 895448 RMD160 30e150d095910e12c7a235fcbb626fab55ad3ade SHA1 694454296cce763c963bfe0c00a0d84950ccffe4 SHA256 c63ca7f0a92951fa580064909ee62b00f2cf4c15d960eef98675afff08cf1bb6
+EBUILD yzis-1.0_alpha1.ebuild 726 RMD160 88dc50e0864c78a6c0a7f67aa3cf302830e54f82 SHA1 0a653fd333127f0b46ff283d5150ebae3070a207 SHA256 f40eeab462b5267532c3ad40c1cf9a978d0cb10b2df7d249e7315b80c47714b0
+MISC ChangeLog 238 RMD160 19833de20ecd9494dd45c0110d86bcec5e87a73f SHA1 8280c98b20466bd30555052154a3c6f70fcab82b SHA256 6ee5855c3d8a69943b7c4c3f7eda662c5b7f284025d708315a76241886bcc72e
+MISC metadata.xml 357 RMD160 bbf37c2c30989827f1950a493fe0507e4487aa28 SHA1 5555a0e8935cedbd8e146da85c09d28bab4312f1 SHA256 f956a71550298bf236d6f98333f2646452166ed761718959bd6bf0dbab40ea61
diff --git a/app-editors/yzis/metadata.xml b/app-editors/yzis/metadata.xml
new file mode 100644
index 000000000..10b7c9b10
--- /dev/null
+++ b/app-editors/yzis/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>no-herd</herd>
+ <longdescription lang="en">
+ Yzis a vi-like editor inspired by vim. Yzis aims to be a powerful, fast
+ editor with all of Vim's features and hopefully, at some point, more.
+ </longdescription>
+</pkgmetadata>
+
diff --git a/app-editors/yzis/yzis-1.0_alpha1.ebuild b/app-editors/yzis/yzis-1.0_alpha1.ebuild
new file mode 100644
index 000000000..5e03079e0
--- /dev/null
+++ b/app-editors/yzis/yzis-1.0_alpha1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+MY_P=${P/_/-}
+
+DESCRIPTION="Vi-like editor inspired by vim."
+HOMEPAGE="http://www.yzis.org/"
+SRC_URI="http://dl.freehackers.org/yzis/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~x86"
+
+DEPEND="dev-util/cmake"
+RDEPEND=">=dev-lang/lua-5.1
+ sys-libs/ncurses
+ >=x11-libs/qt-4.1.0"
+
+
+src_compile() {
+ cmake -DENABLE_TESTS=OFF \
+ -DENABLE_LIBYZISRUNNER=OFF \
+ -DDCMAKE_BUILD_TYPE=Release \
+ ${MY_P} || die "CMake failed."
+
+ emake || die "Build failed."
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "Install failed."
+
+ cd ${MY_P}
+ dodoc ChangeLog README || die "dodoc failed."
+}
+
+